package hideandseek.commands.admin;

import hideandseek.Arena;
import hideandseek.PlayerData;
import org.bukkit.entity.Player;
import org.bukkit.ChatColor;
import hideandseek.Config;
import org.bukkit.command.CommandSender;
import hideandseek.Customization;
import hideandseek.HideAndSeek;
import hideandseek.commands.SubCommand;

public class StartCommand extends SubCommand
{
    public StartCommand() {
        super("hideandseek.start", true, "<Arena>");
    }
    
    public boolean execute(final HideAndSeek var1, final Customization var2, final CommandSender var3, final String[] var4) {
        if (Config.getInstance().bungeeEnabled) {
            if (var1.bungeeMode.selectedArena == null) {
                var1.bungeeMode.Seconds = var1.bungeeMode.lock_votes_at + 1;
                var3.sendMessage(var2.prefix + String.valueOf(ChatColor.GREEN) + "成功! " + String.valueOf(ChatColor.GOLD) + "等待时间已被跳过!");
            }
            else {
                var3.sendMessage(var2.prefix + "游戏即将开始");
            }
        }
        else {
            Arena var5;
            if (var4.length == 1) {
                if (!(var3 instanceof Player) || !var1.game.contains(var3.getName())) {
                    return false;
                }
                var5 = var1.playerData.get(var3.getName()).arena;
            }
            else {
                var5 = Arena.valueOf(var4[1]);
            }
            if (var5 == null) {
                var3.sendMessage((String)var2.messages.get("unknown_arena"));
                return true;
            }
            if (!var5.state.equals((Object)Arena.ArenaState.STARTING)) {
                var3.sendMessage(var2.prefix + "房间现在无法强行启动！");
                return true;
            }
            var5.lobbyTimer.cancel();
            var5.startGame();
            var3.sendMessage(var2.prefix + String.valueOf(ChatColor.GREEN) + "成功! " + String.valueOf(ChatColor.GOLD) + "房间 " + String.valueOf(ChatColor.YELLOW) + var5.name + String.valueOf(ChatColor.GOLD) + " 被强制开始!");
        }
        return true;
    }
}
